Autor Tema: Parches rtl8187 y drivers inyeccion linux  (Leído 29507 veces)

0 Usuarios y 1 Visitante están viendo este tema.

ghosthunting

  • Visitante
Re: Parches rtl8187 y drivers inyeccion linux
« Respuesta #20 en: 22-05-2010, 23:21 (Sábado) »
Hola a todos ¡

Tengo instalado el wifislax 3.1 en una máquina virual de VMware. He seguido todos los pasos que habeis puesto pero cuando reinicio la máquina, aplique la alta potencia o no, al lanzar el airodump-ng, no recibe ninguna red.

En cambio sin esta actualización + parche para poder asignar la alta potencia, funciona de maravilla.... que puede ser ? Gracias¡¡

Post Merge: 24-05-2010, 18:37 (Lunes)
Hola a todos ¡

Tengo instalado el wifislax 3.1 en una máquina virual de VMware. He seguido todos los pasos que habeis puesto pero cuando reinicio la máquina, aplique la alta potencia o no, al lanzar el airodump-ng, no recibe ninguna red.

En cambio sin esta actualización + parche para poder asignar la alta potencia, funciona de maravilla.... que puede ser ? Gracias¡¡

Solucionado ¡ ;D


« Última modificación: 24-05-2010, 18:37 (Lunes) por ghosthunting »

gmaucia

  • Visitante
Re: Parches rtl8187 y drivers inyeccion linux
« Respuesta #21 en: 11-07-2010, 22:07 (Domingo) »
el chipset rtl8187 no va mas en airoscript (numero de lineas no validas)?

corpcd

  • Visitante
Re: Parches rtl8187 y drivers inyeccion linux
« Respuesta #22 en: 17-02-2011, 11:41 (Jueves) »
Hola:

Yo tambien he tenido problemas con los drivers de la 8187l.

Tengo xubuntu 10.10 con kernel 2.6.35, y el driver por defecto que viene es el rtl8187. Decir que tuve que recompilar metiendo un parche para arreglar un error conocido que tenia el driver que decia que estaba en el canal -1 y no te dejaba ejecutar aireplay.

Este driver por defecto es el de madwifi, si no me equivoco, y con este driver, aunque inyecta, no puedo cambiar la potencia.
iwpriv wlan0 highpower 1
iwpriv wlan0 tx 30

Ayer estuve trasteando y me instale los drivers originales (los legacy) y los parchee para "alta potencia".

A este driver lo llama r8187, y tengo que meter el rtl8187 en el blacklist para que me lo cargue.

Sin embargo, este driver no funciona bien, parece que tiene algun problema con el canal, en cuanto pongo la tarjeta a capturar trafico filtrando por ap, no me lo encuentra, pese a que aparece si no uso filtros.

Ademas, si filtro -c 3, me aparecen AP de canales distintos.

Sin embargo, si que puedo modificar los parametros para que tenga mayor potencia, y parece que coge algunas redes que no coge con el otro driver.

¿Con cual os manejais vosotros? ¿hay alguna manera de modificar la tx del driver madwifi que se carga por defecto?

corp

chinitiw

  • Visitante
Re: Parches rtl8187 y drivers inyeccion linux
« Respuesta #23 en: 17-02-2011, 12:14 (Jueves) »
hombre dentro de lo poco que se de tema madwifi = atheros   ^-^ , y si tiene un chipset realtek  ???

corpcd

  • Visitante
Re: Parches rtl8187 y drivers inyeccion linux
« Respuesta #24 en: 17-02-2011, 13:09 (Jueves) »
hombre dentro de lo poco que se de tema madwifi = atheros   ^-^ , y si tiene un chipset realtek  ???

Pues entonces:

a) Creo que tienes razon:
https://foro.seguridadwireless.net/adaptadores-wireless-usb/rtl8187-compatible-con-madwifi/
b) Estoy absolutamente perdido acerca de que drivers usa por defecto ubuntu 10.10 para el 8187l.

corp

chinitiw

  • Visitante
Re: Parches rtl8187 y drivers inyeccion linux
« Respuesta #25 en: 17-02-2011, 13:14 (Jueves) »
a ver son cosas distintas

Los drivers oficiales son los rtl8187 (realtek) los cuales no soportan inyección , los que expones son los r8187 que si la soportan , pero que en ocasiones creaban ciertas incompatibilidades con los madwifi (atheros)  ;).

Simplemente ha sido una confusión en tema de chipsets

Entiendo que los compat wireless si soportan inyección y dudo que te diesen esos problemas , pero en xubuntu de entrada lo desconozco  :D

Saludos

corpcd

  • Visitante
Re: Parches rtl8187 y drivers inyeccion linux
« Respuesta #26 en: 17-02-2011, 15:05 (Jueves) »
Joer, me estoy liando mas todavia.

Los que vienen por defecto con Ubuntu 10.10 (da igual que sea xubuntu, digo yo) tienen que ser los CompatWireless, por que cuando parchee y recompile por el problema de channel -1 (que como ya he comentado es un problema ya documentado con su parche pertinente) me tuve que bajar, demas del parche, las fuentes de los compat-wireless, de modo que entonces los drivers por defecto tienen que ser esos.

Los otros que instale, por lo que lei, deben ser los legacy (entiendo que los originales) con el parche para inyeccion.

Entonces, los Compat Wireless (por defecto) no admiten el parametro highpower 1, y los Legacy, si.

Pero los legacy son los que funcionan mal fijando el canal.

Siento si no puedo explicarme mejor, pero Linux no es mi sistema preferente, y por lo tanto, mis conocimientos son basicos.

corp

Post Merge: 17-02-2011, 18:16 (Jueves)
El parche para solucionar el error de channel -1 es este:

http://foro.elhacker.net/wireless_en_linux/ayuda_instalar_driver_rtl8187_en_ubuntu_1010-t316503.0.html

Y los drivers de alta potencia, son estos:

http://factoriawireless.net/index.php?topic=389.0
http://linuxkillwin.blogspot.com/2010/11/realtek-8187l-funcionando-modo-monitor.html

corp
« Última modificación: 17-02-2011, 18:17 (Jueves) por corpcd »

//FINAL Y MÁS DOS RESPUESTAS